"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.idPipeMixin = exports.bodyRelationshipPatchPipeMixin = exports.bodyRelationshipPipeMixin = exports.parseRelationshipNameMixin = exports.bodyInputPatchPipeMixin = exports.bodyInputPostMixin = exports.queryFiledInIncludeMixin = exports.queryTransformSchemaMixin = exports.queryTransformMixin = exports.querySchemaMixin = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const query_schema_pipe_1 = require("./query-schema/query-schema.pipe");
const query_transform_pipe_1 = require("./query-transform/query-transform.pipe");
const query_transform_schema_pipe_1 = require("./query-transform-schema/query-transform-schema.pipe");
const query_filed_in_include_pipe_1 = require("./query-filed-in-include/query-filed-in-include.pipe");
const body_input_post_pipe_1 = require("./body-input-post/body-input-post.pipe");
const body_input_patch_pipe_1 = require("./body-input-patch/body-input-patch.pipe");
const parse_relationship_name_pipe_1 = require("./parse-relationship-name/parse-relationship-name.pipe");
const body_relationship_pipe_1 = require("./body-relationship/body-relationship.pipe");
const body_relationship_patch_pipe_1 = require("./body-relationship-patch/body-relationship-patch.pipe");
const helper_1 = require("../../helper");
function factoryMixin(entity, connectionName, pipe) {
    const entityName = entity instanceof Function ? entity.name : entity.options.name;
    const pipeClass = (0, helper_1.nameIt)(`${entityName.charAt(0).toUpperCase() + entityName.slice(1)}QuerySchemaPipe`, pipe);
    (0, common_1.Injectable)()(pipeClass);
    (0, typeorm_1.InjectRepository)(entity, connectionName)(pipeClass, 'repository', 0);
    if ('inject' in pipeClass &&
        pipeClass['inject'] &&
        pipeClass['inject'] instanceof Function) {
        pipeClass['inject'](pipeClass);
    }
    return pipeClass;
}
function querySchemaMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_schema_pipe_1.QuerySchemaPipe);
}
exports.querySchemaMixin = querySchemaMixin;
function queryTransformMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_transform_pipe_1.QueryTransformPipe);
}
exports.queryTransformMixin = queryTransformMixin;
function queryTransformSchemaMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_transform_schema_pipe_1.QueryTransformSchemaPipe);
}
exports.queryTransformSchemaMixin = queryTransformSchemaMixin;
function queryFiledInIncludeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_filed_in_include_pipe_1.QueryFiledInIncludePipe);
}
exports.queryFiledInIncludeMixin = queryFiledInIncludeMixin;
function bodyInputPostMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, body_input_post_pipe_1.BodyInputPostPipe);
}
exports.bodyInputPostMixin = bodyInputPostMixin;
function bodyInputPatchPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, body_input_patch_pipe_1.BodyInputPatchPipe);
}
exports.bodyInputPatchPipeMixin = bodyInputPatchPipeMixin;
function parseRelationshipNameMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, parse_relationship_name_pipe_1.ParseRelationshipNamePipe);
}
exports.parseRelationshipNameMixin = parseRelationshipNameMixin;
function bodyRelationshipPipeMixin() {
    return body_relationship_pipe_1.BodyRelationshipPipe;
}
exports.bodyRelationshipPipeMixin = bodyRelationshipPipeMixin;
function bodyRelationshipPatchPipeMixin() {
    return body_relationship_patch_pipe_1.BodyRelationshipPatchPipe;
}
exports.bodyRelationshipPatchPipeMixin = bodyRelationshipPatchPipeMixin;
function idPipeMixin(entity, connectionName, config) {
    return config.pipeForId;
}
exports.idPipeMixin = idPipeMixin;
//# sourceMappingURL=index.js.map