import { PipeTransform } from '@nestjs/common';
import { Repository } from 'typeorm';
import AjvCall, { ValidateFunction } from 'ajv';
import { PipeMixin, QueryParams } from '../../../types';
export declare class QueryTransformSchemaPipe<Entity> implements PipeTransform {
    protected repository: Repository<Entity>;
    protected ajvCall: AjvCall;
    protected validateFunction: ValidateFunction<QueryParams<Entity>>;
    protected allowPropsField: string[];
    protected allowPropsFilter: string[];
    protected allowPropsSort: string[];
    protected allowPropsRelationFilter: Record<string, string[]>;
    protected allowPropsRelationSort: Record<string, string[]>;
    static inject(pip: PipeMixin): void;
    constructor(repository: Repository<Entity>, ajvCall: AjvCall);
    transform(value: QueryParams<Entity>): Promise<QueryParams<Entity>>;
    private getErrors;
}
